Business Intelligence (BI)

Business intelligence (BI) tools enable analyzing, discovering, and reporting on data to help executives and managers make more informed business decisions. A key component of any BI tool is the ability to deliver data visualization through dashboards, charts, and other graphical output.

Business intelligence also sometimes overlaps with technologies such as data integration and transformation; however, we’ve chosen to list these technologies separately in their own Data Integration category.

Snowflake works with the following BI tools:

Solution Software Requirements and Additional Information
Chartio

Requirements:

Chartio:None
Snowflake:None — Native JDBC integration

Additional reading:

IBM Cognos

Requirements:

IBM Cognos:11.0.5, Q4‘16 (or higher)
Snowflake:None — Native JDBC integration

Additional reading:

New Data Sources in 11.0.5 (Cognos Analytics Blog)
Tableau

Requirements:

Looker:None
Snowflake:None — Native JDBC integration

Additional reading:

Connecting to Snowflake (Looker Discourse)
MicroStrategy

Requirements:

Microstrategy:Secure Enterprise Platform 10.2 or 10.3 (or higher)
Snowflake:ODBC Driver — download from Snowflake web interface

Additional reading:

Mode Analytics

Requirements:

Mode Analytics:None
Snowflake:None — Native JDBC integration

Additional reading:

Pentaho

Requirements:

Pentaho:

None

Snowflake:

PentahoSnowflakePlugin — 3rd-party connector (GitHub) or

JDBC Driver — available via snowflake-jdbc (Maven Central)

Additional reading:

Periscope

Requirements:

Periscope Data:None
Snowflake:None — Native JDBC integration
Microsoft Power BI

Microsoft Power BI Cloud Service

Requirements:

Power BI:On-premises Data Gateway July Update (or higher)
Snowflake:None — Native ODBC integration

Microsoft Power BI Desktop (on-premises)

Requirements:

Power BI:

Desktop July Update (or higher)

Desktop September Update (or higher)

Snowflake:

ODBC Driver — download from Snowflake web interface

Additional reading:

Qlik

Requirements:

Qlikview:None
Snowflake:ODBC Driver — download from Snowflake web interface

Additional reading:

AWS QuickSight

Requirements:

AWS Quicksight:None
Snowflake:None — Native JDBC integration
Tableau

Requirements:

Tableau:9.3 (or higher)
Snowflake:ODBC Driver — download from Snowflake web interface

Additional reading: